Clones

- « ReflectionExtension

- ReflectionExtension::__construct »

- PHP Manual
- ReflectionExtension
- Clones

# ReflectionExtension::__clone

(PHP 5, PHP 7, PHP 8)

ReflectionExtension::__clone — Clones

### Description

private ReflectionExtension::__clone(): void

The clone method prevents an object from being cloned. Reflection objects cannot be cloned.

### Parameters

This function has no parameters.

### Return Values

No value is returned, if called a fatal error will occur.

### Changelog

Version | Description
--- | ---
8.1.0 | This method is no longer final.

### See Also

- ReflectionExtension::__construct() - Constructs a ReflectionExtension
- Object cloning